> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List sandboxes for the authenticated organization

> Paginated list of sandboxes

### Query parameters

<ParamField query="limit" type="integer">
  Max results (1-100, default 20)
</ParamField>

<ParamField query="offset" type="integer">
  Results offset (default 0)
</ParamField>

<ParamField query="state" type="string">
  Comma-separated state filter (e.g. running,paused)
</ParamField>

### Response

`object`

<ResponseField name="sandboxes" type="object[]" required>
  <Expandable title="sandboxes">
    <ResponseField name="sandbox_id" type="string (uuid)" required />

    <ResponseField name="org_id" type="string" required />

    <ResponseField name="session_id" type="string" required />

    <ResponseField name="status" type="string" required />

    <ResponseField name="allocated_vcpu" type="number">
      Allocated vCPU cores
    </ResponseField>

    <ResponseField name="allocated_memory_gib" type="number">
      Allocated memory in GiB
    </ResponseField>

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="expires_at" type="string (date-time)" required />

    <ResponseField name="max_expires_at" type="string (date-time)" required />

    <ResponseField name="max_lifetime_seconds" type="integer" required />

    <ResponseField name="remaining_extend_seconds" type="integer" required />

    <ResponseField name="lifetime_used_seconds" type="integer" required />

    <ResponseField name="lifetime_used_percent" type="number" required />
  </Expandable>
</ResponseField>

<ResponseField name="pagination" type="object" required>
  <Expandable title="pagination">
    <ResponseField name="limit" type="integer" required />

    <ResponseField name="offset" type="integer" required />

    <ResponseField name="total" type="integer" required />

    <ResponseField name="has_more" type="boolean" required />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                     |
| ----- | --------------------------- |
| `200` | Paginated list of sandboxes |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.stateset.app/api/v1/sandboxes' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "sandboxes": [
      {
        "sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "session_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "status": "creating",
        "allocated_vcpu": 1.5,
        "allocated_memory_gib": 1.5,
        "created_at": "2026-08-31T14:22:05Z",
        "expires_at": "2026-08-31T14:22:05Z",
        "max_expires_at": "2026-08-31T14:22:05Z",
        "max_lifetime_seconds": 250,
        "remaining_extend_seconds": 250,
        "lifetime_used_seconds": 250,
        "lifetime_used_percent": 7.5
      }
    ],
    "pagination": {
      "limit": 20,
      "offset": 1,
      "total": 102,
      "has_more": true
    }
  }
  ```
</ResponseExample>
